Subject: [ofa-general] Re: linux-next: origin tree build failure

From: Aleksey Senin <[email-masked]>
Date: Mon, 29 Dec 2008 18:52:02 +0200

I thought about this.It can be solved by loading ipv6 module before
RDMA_CM by specifying modules dependencies in modprobe.conf file. At
least this solution helps in the the case when administrator want IB,
but not IPv6.
On Mon, 2008-12-29 at 08:13 -0800, Roland Dreier wrote:
> > After another investigation of this problem, I think that proposed
>  > solution is #ifdef as good for a first stage. IPv6 support is mandatory
>  > when we are talking about running linux in some organization. But, of
>  > course, the way how it implemented in IB stack should be changed. So on
>  > the second stage, I'd like drop out these "defines" and at the time of
>  > module initialization obtain addresses of IPv6 functions and in the case
>  > if they are present at the runtime, call them. It should be nice
>  > solution for RMDA_CM and IPoIB modules.
> 
> I don't think this second stage sounds like a good idea.  Suppose
> someone loads the RDMA CM first, so it doesn't find the ipv6 functions,
> and then later loads and configures ipv6.  You'll end up in a situation
> where trying to make an IPv6 connection fails spuriously.  (And just the
> ugliness of looking up function pointers isn't very nice either)
> 
>  - R.